| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::scene::quake3::SModifierFunction Struct Reference

`#include <IQ3Shader.h>`

List of all members.

## Public Member Functions

- SModifierFunction ()
- f32 evaluate (f32 dt) const

## Public Attributes

- union {
  - f32 div
  - f32 wave
- };
- union {
  - f32 base
  - f32 bulgewidth
- };
- union {
  - f32 amp
  - f32 bulgeheight
- };
- union {
  - f32 bulgespeed
  - f32 frequency
- };
- eQ3ModifierFunction alphagen
- u32 count
- eQ3ModifierFunction func
- eQ3ModifierFunction masterfunc0
- eQ3ModifierFunction masterfunc1
- f32 phase
- eQ3ModifierFunction rgbgen
- eQ3ModifierFunction tcgen
- f32 x
- f32 y
- f32 z

## Detailed Description

Definition at line 420 of file IQ3Shader.h.

## Constructor & Destructor Documentation

irr::scene::quake3::SModifierFunction::SModifierFunction | ( |  | ) | `[inline]`

Definition at line 422 of file IQ3Shader.h.

## Member Function Documentation

f32 irr::scene::quake3::SModifierFunction::evaluate | ( | f32 | dt | ) | const`[inline]`

Definition at line 471 of file IQ3Shader.h.

References amp, base, irr::scene::quake3::COSINUS, irr::core::fract(), frequency, func, irr::scene::quake3::Noiser::get(), irr::scene::quake3::NOISE, phase, irr::core::PI, irr::scene::quake3::SAWTOOTH, irr::scene::quake3::SAWTOOTH_INVERSE, irr::scene::quake3::SINUS, irr::scene::quake3::SQUARE, irr::scene::quake3::TRIANGLE, x, and y.

## Member Data Documentation

union { ... }

union { ... }

union { ... }

union { ... }

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::alphagen

Definition at line 438 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::amp

Definition at line 448 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

f32 irr::scene::quake3::SModifierFunction::base

Definition at line 442 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

f32 irr::scene::quake3::SModifierFunction::bulgeheight

Definition at line 449 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::bulgespeed

Definition at line 457 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::bulgewidth

Definition at line 443 of file IQ3Shader.h.

u32 irr::scene::quake3::SModifierFunction::count

Definition at line 469 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::div

Definition at line 463 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::frequency

Definition at line 456 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::func

Definition at line 434 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::masterfunc0

Definition at line 430 of file IQ3Shader.h.

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::masterfunc1

Definition at line 432 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::phase

Definition at line 452 of file IQ3Shader.h.

Referenced by evaluate(), and irr::scene::quake3::getModifierFunc().

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::rgbgen

Definition at line 437 of file IQ3Shader.h.

eQ3ModifierFunction irr::scene::quake3::SModifierFunction::tcgen

Definition at line 436 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::wave

Definition at line 462 of file IQ3Shader.h.

f32 irr::scene::quake3::SModifierFunction::x

Definition at line 466 of file IQ3Shader.h.

Referenced by evaluate().

f32 irr::scene::quake3::SModifierFunction::y

Definition at line 467 of file IQ3Shader.h.

Referenced by evaluate().

f32 irr::scene::quake3::SModifierFunction::z

Definition at line 468 of file IQ3Shader.h.

The documentation for this struct was generated from the following file:

- IQ3Shader.h